Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class Dispatcher

    java.lang.Object
      org.jboss.aop.Dispatcher

public class Dispatcher
extends Object

Version:
  $Revision: 1.17 $
Author:
  Bill Burke

Field Summary
`static String` | `DISPATCHER`
`static String` | `OID`
`static Dispatcher` | `singleton`

Constructor Summary
`Dispatcher()`

Method Summary
`Object` | `getRegistered(Object oid)`
`InvocationResponse` | `invoke(Invocation invocation)`
`boolean` | `isRegistered(Object oid)`
`void` | `registerTarget(Object oid, Object target)` Register an Object ID with an actual target object
`void` | `unregisterTarget(Object oid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPATCHER

    public static final String DISPATCHER

See Also:
  Constant Field Values

### OID

    public static final String OID

See Also:
  Constant Field Values

### singleton

    public static final Dispatcher singleton

Constructor Detail

### Dispatcher

    public Dispatcher()

Method Detail

### isRegistered

    public boolean isRegistered(Object oid)

### registerTarget

    public void registerTarget(Object oid,
                               Object target)

  Register an Object ID with an actual target object

### unregisterTarget

    public void unregisterTarget(Object oid)

### getRegistered

    public Object getRegistered(Object oid)

### invoke

    public InvocationResponse invoke(Invocation invocation)
                              throws NotFoundInDispatcherException,
                                     Throwable

  Throws:
    `NotFoundInDispatcherException`
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.